Bug 1286388 - eog core dump on tif file: (eog:26453): Gdk-ERROR **: The program 'eog' received an X Window System error.
eog core dump on tif file: (eog:26453): Gdk-ERROR **: The program 'eog' recei...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 16:47 EST by Piotr Popieluch
Modified: 2017-08-08 08:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:28:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-11-28 16:47:13 EST
Description of problem:
When opening a tif file eog core dumps

Version-Release number of selected component (if applicable):
eog-3.18.1-1.fc23.x86_64

How reproducible:
always


Steps to Reproduce:
1. eog https://piotrp.fedorapeople.org/sample_bigtiff.tif


Actual results:
core dump

Expected results:
image open or give an error message

Additional info:

➜  ~  eog /tmp/sample_bigtiff.tif

(eog:26543): Gdk-ERROR **: The program 'eog' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 427 error_code 11 request_code 130 (MIT-SHM) minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[1]    26543 trace trap (core dumped)  eog /tmp/sample_bigtiff.tif



➜  ~  coredumpctl gdb 26543                                   
           PID: 26543 (eog)
           UID: 1000 (piotr)
           GID: 1000 (piotr)
        Signal: 5 (TRAP)
     Timestamp: Sat 2015-11-28 22:33:50 CET (25s ago)
  Command Line: eog /tmp/sample_bigtiff.tif
    Executable: /usr/bin/eog
 Control Group: /user.slice/user-1000.slice/session-2.scope
          Unit: session-2.scope
         Slice: user-1000.slice
       Session: 2
     Owner UID: 1000 (piotr)
       Boot ID: a8624728abea42f8bdac15b563e6aba7
    Machine ID: 90ff3d2846de48868f670a51b2d40079
      Hostname: pontifex.localdomain
      Coredump: /var/lib/systemd/coredump/core.eog.1000.a8624728abea42f8bdac15b563e6aba7.26543.1448746430000000.xz
       Message: Process 26543 (eog) of user 1000 dumped core.
                
                Stack trace of thread 26543:
                #0  0x00007f58555ea81b _g_log_abort (libglib-2.0.so.0)
                #1  0x00007f58555ea98f g_log (libglib-2.0.so.0)
                #2  0x00007f585802cdea _gdk_x11_display_error_event (libgdk-3.so.0)
                #3  0x00007f5858038039 gdk_x_error (libgdk-3.so.0)
                #4  0x00007f585905b39d _XError (libX11.so.6)
                #5  0x00007f5859058227 handle_error (libX11.so.6)
                #6  0x00007f58590582e5 handle_response (libX11.so.6)
                #7  0x00007f58590592a0 _XReply (libX11.so.6)
                #8  0x00007f58590563d9 XTranslateCoordinates (libX11.so.6)
                #9  0x00007f585802eab5 gdk_x11_display_translate_event (libgdk-3.so.0)
                #10 0x00007f5858033322 _gdk_x11_event_translator_translate (libgdk-3.so.0)
                #11 0x00007f5858032e6c gdk_event_source_translate_event (libgdk-3.so.0)
                #12 0x00007f5858004fd9 gdk_display_get_event (libgdk-3.so.0)
                #13 0x00007f5858032a22 gdk_event_source_dispatch (libgdk-3.so.0)
                #14 0x00007f58555e3e3a g_main_dispatch (libglib-2.0.so.0)
                #15 0x00007f58555e41d0 g_main_context_iterate (libglib-2.0.so.0)
                #16 0x00007f58555e427c g_main_context_iteration (libglib-2.0.so.0)
                #17 0x00007f5856351a0c g_application_run (libgio-2.0.so.0)
                #18 0x0000563fc90964a2 main (eog)
                #19 0x00007f5854dc6580 __libc_start_main (libc.so.6)
                #20 0x0000563fc90965a9 _start (eog)
                
                Stack trace of thread 26544:
                #0  0x00007f5854e9cfdd poll (libc.so.6)
                #1  0x00007f58555e416c g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f58555e427c g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f5844f802ad dconf_gdbus_worker_thread (libdconfsettings.so)
                #4  0x00007f585560a835 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f585516e60a start_thread (libpthread.so.0)
                #6  0x00007f5854ea8a7d __clone (libc.so.6)
                
                Stack trace of thread 26545:
                #0  0x00007f5854e9cfdd poll (libc.so.6)
                #1  0x00007f58555e416c g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f58555e427c g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f58555e42b9 glib_worker_main (libglib-2.0.so.0)
                #4  0x00007f585560a835 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f585516e60a start_thread (libpthread.so.0)
                #6  0x00007f5854ea8a7d __clone (libc.so.6)
                
                Stack trace of thread 26548:
                #0  0x00007f5854ea2c49 syscall (libc.so.6)
                #1  0x00007f585562899a g_cond_wait_until (libglib-2.0.so.0)
                #2  0x00007f58555b8c09 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
                #3  0x00007f585560b1a6 g_thread_pool_wait_for_new_task (libglib-2.0.so.0)
                #4  0x00007f585560a835 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f585516e60a start_thread (libpthread.so.0)
                #6  0x00007f5854ea8a7d __clone (libc.so.6)
                
                Stack trace of thread 26547:
                #0  0x00007f5854ea2c49 syscall (libc.so.6)
                #1  0x00007f585562887f g_cond_wait (libglib-2.0.so.0)
                #2  0x00007f58595d8da1 eog_job_scheduler_dequeue_job (libeog.so)
                #3  0x00007f585560a835 g_thread_proxy (libglib-2.0.so.0)
                #4  0x00007f585516e60a start_thread (libpthread.so.0)
                #5  0x00007f5854ea8a7d __clone (libc.so.6)
                
                Stack trace of thread 26546:
                #0  0x00007f5854e9cfdd poll (libc.so.6)
                #1  0x00007f58555e416c g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f58555e44f2 g_main_loop_run (libglib-2.0.so.0)
                #3  0x00007f5856388336 gdbus_shared_thread_func (libgio-2.0.so.0)
                #4  0x00007f585560a835 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f585516e60a start_thread (libpthread.so.0)
                #6  0x00007f5854ea8a7d __clone (libc.so.6)

GNU gdb (GDB) Fedora 7.10-29.fc23
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/eog...Reading symbols from /usr/lib/debug/usr/bin/eog.debug...done.
done.
[New LWP 26543]
[New LWP 26544]
[New LWP 26545]
[New LWP 26548]
[New LWP 26547]
[New LWP 26546]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `eog /tmp/sample_bigtiff.tif'.
Program terminated with signal SIGTRAP, Trace/breakpoint trap.
#0  0x00007f58555ea81b in _g_log_abort (breakpoint=1) at gmessages.c:324
324	    G_BREAKPOINT ();
[Current thread is 1 (Thread 0x7f585995fa40 (LWP 26543))]
Missing separate debuginfos, use: dnf debuginfo-install bzip2-libs-1.0.6-17.fc23.x86_64 dconf-0.24.0-2.fc23.x86_64 gvfs-client-1.26.2-1.fc23.x86_64 jbigkit-libs-2.1-4.fc23.x86_64 libcanberra-0.30-10.fc23.x86_64 libcanberra-gtk3-0.30-10.fc23.x86_64 libgcc-5.1.1-4.fc23.x86_64 libogg-1.3.2-4.fc23.x86_64 libstdc++-5.1.1-4.fc23.x86_64 libtdb-1.3.7-1.fc23.x86_64 libtiff-4.0.4-1.fc23.x86_64 libtool-ltdl-2.4.6-5.fc23.x86_64 libvorbis-1.3.4-5.fc23.x86_64 PackageKit-gtk3-module-1.0.10-2.fc23.x86_64
(gdb) bt
#0  0x00007f58555ea81b in g_logv (breakpoint=1) at gmessages.c:324
#1  0x00007f58555ea81b in g_logv (log_domain=0x7f585805e80e "Gdk", log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=args@entry=0x7ffce796ea00) at gmessages.c:1081
#2  0x00007f58555ea98f in g_log (log_domain=log_domain@entry=0x7f585805e80e "Gdk", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7f585807b4cc "%s") at gmessages.c:1119
#3  0x00007f585802cdea in _gdk_x11_display_error_event (display=display@entry=0x563fcb0f7010 [GdkX11Display], error=error@entry=0x7ffce796ebb0) at gdkdisplay-x11.c:2640
#4  0x00007f5858038039 in gdk_x_error (xdisplay=0x563fcb0ea800, error=0x7ffce796ebb0)
    at gdkmain-x11.c:303
#5  0x00007f585905b39d in _XError (dpy=dpy@entry=0x563fcb0ea800, rep=rep@entry=0x563fcb56a690)
    at XlibInt.c:1429
#6  0x00007f5859058227 in handle_error (dpy=0x563fcb0ea800, err=0x563fcb56a690, in_XReply=<optimized out>) at xcb_io.c:213
#7  0x00007f58590582e5 in handle_response (dpy=dpy@entry=0x563fcb0ea800, response=0x563fcb56a690, in_XReply=in_XReply@entry=1) at xcb_io.c:325
#8  0x00007f58590592a0 in _XReply (dpy=dpy@entry=0x563fcb0ea800, rep=rep@entry=0x7ffce796ed80, extra=extra@entry=0, discard=discard@entry=1) at xcb_io.c:627
#9  0x00007f58590563d9 in XTranslateCoordinates (dpy=0x563fcb0ea800, src_win=src_win@entry=31457287, dest_win=dest_win@entry=212, src_x=src_x@entry=0, src_y=src_y@entry=0, dst_x=dst_x@entry=0x7ffce796ee50, dst_y=0x7ffce796ee58, child=0x7ffce796ee60) at TrCoords.c:51
#10 0x00007f585802eab5 in gdk_x11_display_translate_event (translator=<optimized out>, display=0x563fcb0f7010 [GdkX11Display], event=0x563fcb4300d0, xevent=0x7ffce796ef10) at gdkdisplay-x11.c:810
#11 0x00007f5858033322 in _gdk_x11_event_translator_translate (translator=0x563fcb0f7010, display=0x563fcb0f7010 [GdkX11Display], xevent=xevent@entry=0x7ffce796ef10) at gdkeventtranslator.c:51
#12 0x00007f5858032e6c in _gdk_x11_display_queue_events (xevent=0x7ffce796ef10, event_source=0x563fcb0fb210) at gdkeventsource.c:240
#13 0x00007f5858032e6c in _gdk_x11_display_queue_events (display=0x563fcb0f7010 [GdkX11Display])
    at gdkeventsource.c:338
#14 0x00007f5858004fd9 in gdk_display_get_event (display=display@entry=0x563fcb0f7010 [GdkX11Display])
    at gdkdisplay.c:340
#15 0x00007f5858032a22 in gdk_event_source_dispatch (source=<optimized out>, callback=<optimized out>, user_data=<optimized out>) at gdkeventsource.c:360
#16 0x00007f58555e3e3a in g_main_context_dispatch (context=0x563fcb0da050) at gmain.c:3154
#17 0x00007f58555e3e3a in g_main_context_dispatch (context=context@entry=0x563fcb0da050) at gmain.c:3769
#18 0x00007f58555e41d0 in g_main_context_iterate (context=context@entry=0x563fcb0da050, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3840
#19 0x00007f58555e427c in g_main_context_iteration (context=0x563fcb0da050, 
    context@entry=0x0, may_block=may_block@entry=1) at gmain.c:3901
#20 0x00007f5856351a0c in g_application_run (application=0x563fcb0d5140 [EogApplication], argc=2, argv=0x7ffce796f2d8) at gapplication.c:2311
#21 0x0000563fc90964a2 in main (argc=2, argv=0x7ffce796f2d8) at main.c:133
Comment 1 Jan Kurik 2016-02-24 09:03:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:34:41 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:28:34 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.